Name:           wss4j 
Version:        1.6.10
Release:        %mkrel 3
Summary:        Apache WS-Security implementation
Group:          Development/Java
License:        ASL 2.0
URL:            http://ws.apache.org/wss4j/
Source0:        http://archive.apache.org/dist/ws/wss4j/1_6_10/wss4j-src-%{version}.zip

BuildRequires:  axis
BuildRequires:  xml-security >= 0:1.5
BuildRequires:  xml-commons-apis
BuildRequires:  maven-local
BuildRequires:  maven-shared
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-remote-resources-plugin
BuildRequires:  apache-resource-bundles
BuildRequires:  dos2unix
BuildRequires:  opensaml-java
BuildRequires:  xalan-j2
BuildRequires:  xerces-j2
BuildRequires:  junit
BuildRequires:  slf4j
BuildRequires:  apache-commons-logging
BuildRequires:  opensaml-java-parent
BuildRequires:  maven-surefire-provider-junit4

BuildRequires:  plexus-pom
BuildRequires:  plexus-components-pom

BuildArch:      noarch

%description
The Apache WSS4J project provides a Java implementation of the
primary security standards for Web Services. 

%package javadoc
Summary: Javadoc for %{name}
Group:   Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

sed -i "s|bcprov-jdk15on|bcprov-jdk16|" pom.xml

# This plugin does not impact the build, and it currently raises this error:
# Reporting mojo's can only be called from ReportDocumentRender
%pom_remove_plugin "org.apache.maven.plugins:maven-pmd-plugin"

dos2unix NOTICE

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc ChangeLog.txt NOTICE LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt



%changelog
* Fri Jan 03 2014 dmorgan <dmorgan> 1.6.10-3.mga4
+ Revision: 564021
- Rebuild against fixed owasp-esapi-java

* Tue Oct 22 2013 umeabot <umeabot> 1.6.10-2.mga4
+ Revision: 541305
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 1.6.10-1.mga4
+ Revision: 495481
- New version

* Mon Jan 14 2013 umeabot <umeabot> 1.6.7-2.mga3
+ Revision: 385880
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 dmorgan <dmorgan> 1.6.7-1.mga3
+ Revision: 330643
- imported package wss4j


* Thu Oct 18 2012 Marek Goldmann <mgoldman@redhat.com> - 1.6.7-1
- Upstream release 1.6.7
- Changed build tool to Maven
- Cleanups

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 20 2012 Andy Grimm <agrimm@gmail.com> - 1.5.12-2
- Package review fixes

* Sun Feb  5 2012 Andy Grimm <agrimm@gmail.com> - 1.5.12-1
- initial build

